Main Page Groups Namespaces

# Compatibility module

This set of types and functions provides an API that is compatible to libsigc++-1.2. More...

## Typedefs

typedef ::sigc::connection | SigC::Connection
| Convinience class for safe disconnection.

## Detailed Description

This set of types and functions provides an API that is compatible to libsigc++-1.2.

Some internal structures of libsigc++-1.2 are not available.

All types and functions that are defined in namespace SigC are deprecated. Use the new libsigc++2 API that is defined in namespace sigc.

## Typedef Documentation

typedef ::sigc::connection SigC::Connection

Convinience class for safe disconnection.

Iterators must not be used beyond the lifetime of the list they work on. A connection object can be created from a slot list iterator and may safely be used to disconnect the referred slot at any time (disconnect()). If the slot has already been destroyed, disconnect() does nothing. empty() or operator bool() can be used to test whether the connection is still active. The connection can be blocked (block(), unblock()).

This is possible because the connection object gets notified when the referred slot dies (notify()).

Deprecated:
  Use sigc::connection instead.